## org.hibernate
Class OptimisticLockException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.OptimisticLockException

All Implemented Interfaces:
  Serializable

    public class OptimisticLockException

extends HibernateException

Throw when an optimistic locking conflict occurs.

Author:
  Scott Marlow
See Also:
  Serialized Form

Constructor Summary
`OptimisticLockException(String s)`
`OptimisticLockException(String s, Object entity)`

Method Summary
`Object` `getEntity()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptimisticLockException

    public OptimisticLockException(String s)

### OptimisticLockException

    public OptimisticLockException(String s,
                                   Object entity)

Method Detail

### getEntity

    public Object getEntity()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.